﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class HowToPlay : MonoBehaviour {

    public Text buttonText;
    private CanvasGroup controlPage;
    private CanvasGroup secondPage;

	// Use this for initialization
	void Start () {
        controlPage = GameObject.Find("ControlsPage").GetComponent<CanvasGroup>();
        secondPage = GameObject.Find("SecondPage").GetComponent<CanvasGroup>();
        controlPage.alpha = 1; // always start controls displayed
        controlPage.interactable = true;
        secondPage.alpha = 0;
        secondPage.interactable = false;
        buttonText.text = "Next Page";
        secondPage.blocksRaycasts = false; // issues with pages if this isn't altered for some reason..
    }
	
	// Update is called once per frame
	void Update () {
	
	}

    public void OnClickMainMenu() {
        // from main menu 'How to Play' -> Main Screen
        SceneManager.LoadScene("Start");
    }

    // when the player hits the next page button in the how to play screen
    public void NextPage() {
        if (controlPage.alpha == 1 && secondPage.alpha == 0) { // if axes are currently displayed
            secondPage.alpha = 1; // display swords
            secondPage.interactable = true;
            controlPage.alpha = 0;
            controlPage.interactable = false;
            buttonText.text = "Previous page";
            secondPage.blocksRaycasts = true;

        }
        else if (controlPage.alpha == 0 && secondPage.alpha == 1) { // if second page is currently displayed
            controlPage.alpha = 1; // display controls
            controlPage.interactable = true;
            secondPage.alpha = 0;
            secondPage.interactable = false;
            buttonText.text = "Next Page";
            secondPage.blocksRaycasts = false;
        }
    }
}
